POST api/Order/DeliveryAcceptOrder
Request Information
URI Parameters
None.
Body Parameters
clsOrderDAL| Name | Description | Type | Additional information |
|---|---|---|---|
| OrderId | globally unique identifier |
None. |
|
| OrderNo | string |
None. |
|
| ProductName | string |
None. |
|
| Unit | string |
None. |
|
| UnitType | string |
None. |
|
| Rate | decimal number |
None. |
|
| RegistrationId | globally unique identifier |
None. |
|
| ContactNo | string |
None. |
|
| Date | date |
None. |
|
| Time | string |
None. |
|
| Longitude | string |
None. |
|
| Latitude | string |
None. |
|
| Status | string |
None. |
|
| DeliveryAddress | string |
None. |
|
| Quantity | integer |
None. |
|
| MonthlyPackage | string |
None. |
|
| RateBeforeDiscount | decimal number |
None. |
|
| ProductSubtitle | string |
None. |
|
| EstimatedDeliveryTime | string |
None. |
|
| EstimatedDeliveryDate | date |
None. |
|
| DeliveryRegistrationId | globally unique identifier |
None. |
|
| IsVoucher | boolean |
None. |
|
| VoucherId | globally unique identifier |
None. |
|
| ExchangeAmt | decimal number |
None. |
|
| CouponDiscountAmt | decimal number |
None. |
|
| NoOfBatteries | integer |
None. |
|
| Weight | decimal number |
None. |
|
| CouponName | string |
None. |
|
| FinalOrderPrice | decimal number |
None. |
|
| OrderSubTotal | decimal number |
None. |
|
| DeliveryCharges | decimal number |
None. |
|
| CGSTPercent | decimal number |
None. |
|
| CGSTAmount | decimal number |
None. |
|
| SGSTPercent | decimal number |
None. |
|
| SGSTAmount | decimal number |
None. |
|
| IGSTPercent | decimal number |
None. |
|
| IGSTAmount | decimal number |
None. |
|
| ProductPackageId | globally unique identifier |
None. |
|
| CartNo | integer |
None. |
|
| DealerRegistrationId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"orderId": "033e00b6-e532-4764-a638-0fc0baa1cb67",
"orderNo": "sample string 2",
"productName": "sample string 3",
"unit": "sample string 4",
"unitType": "sample string 5",
"rate": 6.0,
"registrationId": "51e5382a-6c51-4b9f-93c6-a58d0f45e12c",
"contactNo": "sample string 8",
"date": "2026-08-09T16:04:58.6317975+05:30",
"time": "sample string 10",
"longitude": "sample string 11",
"latitude": "sample string 12",
"status": "sample string 13",
"deliveryAddress": "sample string 14",
"quantity": 15,
"monthlyPackage": "sample string 16",
"rateBeforeDiscount": 17.0,
"productSubtitle": "sample string 18",
"estimatedDeliveryTime": "sample string 19",
"estimatedDeliveryDate": "2026-08-09T16:04:58.6317975+05:30",
"deliveryRegistrationId": "ff3684a5-9440-4729-a1d8-44c78ae94732",
"isVoucher": true,
"voucherId": "118f9276-78a5-45b9-95d7-3b1a88582b0d",
"exchangeAmt": 24.0,
"couponDiscountAmt": 25.0,
"noOfBatteries": 26,
"weight": 27.0,
"couponName": "sample string 28",
"finalOrderPrice": 29.0,
"orderSubTotal": 30.0,
"deliveryCharges": 31.0,
"cgstPercent": 32.0,
"cgstAmount": 33.0,
"sgstPercent": 34.0,
"sgstAmount": 35.0,
"igstPercent": 36.0,
"igstAmount": 37.0,
"productPackageId": "25abb185-3748-4d62-9de9-61a2f96e35ec",
"cartNo": 39,
"dealerRegistrationId": "43496070-d81f-4265-98a4-aec44f26435d"
}
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |